#### D.4.34.3 graver4ti2

Procedure from library `sing4ti2.lib` (see sing4ti2_lib).

Usage:
  graver4ti2(A[,i]);
  A=intmat
  i=int

Assume:
  - A is a matrix with integer entries which describes the lattice
  as ker(A), if second argument is not present,
  as the left image Im(A) = {zA : z \in ZZ^k}, if second argument is a positive integer
  - number of variables of basering equals number of columns of A
  (for ker(A)) resp. of rows of A (for Im(A))

Create:
  temporary files sing4ti2.mat, sing4ti2.lat, sing4ti2.gra
  in the current directory (I/O files for communication with 4ti2)

Note:
  input rules for 4ti2 also apply to input to this procedure
  hence ker(A)={x|Ax=0} and Im(A)={xA}

Return:
  toric ideal specified by Graver basis thereof

Example:

    LIB "sing4ti2.lib";
    ring r=0,(x,y,z,w),dp;
    matrix M[2][4]=0,1,2,3,3,2,1,0;
    graver4ti2(M);
    ==> _[1]=-y2+xz
    ==> _[2]=-y3+x2w
    ==> _[3]=-yz+xw
    ==> _[4]=-z2+yw
    ==> _[5]=-z3+xw2

User manual for Singular version 4.4.1, 2025, generated by texi2html.